Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367118 - Content view list entries duplicated [Web/UI]
Summary: Content view list entries duplicated [Web/UI]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 15:07 UTC by Oleg Lymarchuk
Modified: 2018-09-04 17:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 17:44:00 UTC


Attachments (Terms of Use)
screencast (deleted)
2016-08-15 15:07 UTC, Oleg Lymarchuk
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 16345 None None None 2016-08-26 18:56:56 UTC

Description Oleg Lymarchuk 2016-08-15 15:07:51 UTC
Created attachment 1190927 [details]
screencast

Description of problem: content view list entries are duplicated on composite content view page


Version-Release number of selected component (if applicable): 6.2 at least


How reproducible:
still not clear what causes the bug in particular, anyway the following steps are more or less (~ 33%) stable way to reproduce the bug on a clear machine. 

Steps to Reproduce:
1. Log in to a fresh VM with Sattelite 6.2
2. Go to 'Content' -> 'Content view' -> '+ Create New View'
3. Create 2 non-composite content views and publish both of them twice
4. Create a non-composite content view and do NOT publish it 
5. Create an empty unpublished composite content-view
6. Repeat Step 4
7. Repeat Step 5

(please also see the attachment)

Actual results:
All of the content view list entries are being duplicated

Expected results:
Each of the content view list entries displayed once

Comment 2 Brad Buckingham 2016-08-26 18:56:54 UTC
Created redmine issue http://projects.theforeman.org/issues/16345 from this bug

Comment 4 Bryan Kearney 2018-09-04 17:44:00 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.